Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
How to get clickshare working on Ubuntu 16.04
sudo apt install libresample1
wget http://mirrors.kernel.org/ubuntu/pool/universe/liba/libav/libavutil52_9.18-0ubuntu0.14.04.1_amd64.deb
sudo dpkg -i libavutil52_9.18-0ubuntu0.14.04.1_amd64.deb
wget http://mirrors.kernel.org/ubuntu/pool/universe/liba/libav/libswscale2_9.18-0ubuntu0.14.04.1_amd64.deb
sudo dpkg -i libswscale2_9.18-0ubuntu0.14.04.1_amd64.deb
wget https://www.dropbox.com/s/gg2i5wszrqkhzy8/clickshare_01.07.01-79_amd64.deb?dl=0#
sudo dpkg -i clickshare_01.07.01-79_amd64.deb
@Graham42

This comment has been minimized.

Copy link

commented May 31, 2017

This didn't work for me

@Victor-Haefner

This comment has been minimized.

Copy link

commented Oct 12, 2017

worked perfectly for me! :D

@Peter-Nijenhuis

This comment has been minimized.

Copy link

commented Oct 30, 2017

at step 2: wget http://mirrors.kernel.org/ubuntu/pool/universe/liba/libav/libavutil52_9.18-0ubuntu0.14.04.1_amd64.deb, I get:

Connecting to mirrors.kernel.org (mirrors.kernel.org)|198.145.21.9|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2017-10-30 14:47:17 ERROR 404: Not Found.

@dibonetta

This comment has been minimized.

Copy link

commented Jan 22, 2018

Thank you belthaZornv!
It worked

@richoux

This comment has been minimized.

Copy link

commented Feb 7, 2018

@Peter-Nijenhuis change every 9-18 by 9-20.

@castlec

This comment has been minimized.

Copy link

commented Feb 21, 2018

On artful, after installing libavutil and libwscale, I had a bunch of unmet dependencies.

sudo gdebi clickshare_01.07.01-79_amd64.deb

was able to resolve them all and install.

sudo gdebi clickshare_01.07.01-79_amd64.deb Reading package lists... Done Building dependency tree Reading state information... Done Reading state information... Done Requires the REMOVAL of the following packages: clickshare Requires the installation of the following packages: libmng2 libqt4-dbus libqt4-declarative libqt4-network libqt4-script libqt4-sql libqt4-sql-mysql libqt4-xml libqt4-xmlpatterns libqtcore4 libqtdbus4 libqtgui4 libresample1 qdbus qt-at-spi qtchooser qtcore4-l10n

Posting my copy of the file in case it disappears for others

@commander0815

This comment has been minimized.

Copy link

commented Mar 7, 2018

good job @castlec, can also confirm its working on 18.04 Beta Build!

@mirkado

This comment has been minimized.

Copy link

commented May 3, 2018

i did all of the steps you wrote but the program does not recognize the clickshare button. The button is not blinking constantly.
What i have to do next?

i am using ubuntu mate 17.10

@foot3print

This comment has been minimized.

Copy link

commented Jun 29, 2018

tried this on 18.04 with latest updates without success. Anyone tried this on an updated 16.04/18.04? The package was successfully installed and i can launch the clickshare app but nothing happens when i plug the usb dongle. It just blinks. Any suggestions?

@Peter-Nijenhuis

This comment has been minimized.

Copy link

commented Jul 19, 2018

installation worked fine.
But now I get another error.
Once I open the clickshare app I get the message "waiting for clickshare button. When I plug the clickshare button into my usb port and press the button on the clickshare device, I get the message: "all buttons are in use by another application"

I've got no other application open.

Any suggestions?

@apio-sys

This comment has been minimized.

Copy link

commented Aug 8, 2018

Having the same symptoms as described by foot3print and Peter-Nijenhuis (deb and dependencies installed and dongle just blinking and on first launch of app msg "Waiting for button..."). Someone managed to get this working ?

@gnodnooh

This comment has been minimized.

Copy link

commented Aug 15, 2018

Same issue too. On the app window, Clickshare Client is the only one the version number is checked. The rest keeps syncing. Any solutions?

@aseru65

This comment has been minimized.

Copy link

commented Aug 21, 2018

I'm having the same issue the package installed fine and i can run the clickshare app but nothing happens when i plug the usb dongle It just blink.

@rtsio

This comment has been minimized.

Copy link

commented Sep 10, 2018

Tried on Ubuntu 18.04, no dice. @castlec please teach me your secrets.

@SolarLiner

This comment has been minimized.

Copy link

commented Nov 22, 2018

Works in Ubuntu 18.10. Simply followed the instructions, nothing more.

@njohnsto58

This comment has been minimized.

Copy link

commented Jan 18, 2019

I tried it on Ubuntu 16.04 - installs and runs but doesn't appear to recognise the USB dongle.
Dongle flashes white, on and off - but no amount of pressing the button seems to do anthing

@TFB2002

This comment has been minimized.

Copy link

commented Jan 25, 2019

I have the same Problem as njohnsto58, the only difference is I tried it on ubuntu 18.04.

@jerry1970

This comment has been minimized.

Copy link

commented Feb 28, 2019

Same problem here as aseru65: the dongle keeps on blinking, the client keeps on checking for updates. I am on Xubuntu 18.04. Also, when I connect the dongle, Xubuntu mounts it as a drive. Doesn't that conflict with using the device as something else than a drive? When I unmount the drive, the dongle keeps on blinking.

@EFulmer

This comment has been minimized.

Copy link

commented Mar 25, 2019

The wget step is failing; 301 to a non existing resource. Full output below.

$ wget http://mirrors.kernel.org/ubuntu/pool/universe/liba/libav/libavutil52_9.18-0ubuntu0.14.04.1_amd64.deb
--2019-03-25 09:05:16--  http://mirrors.kernel.org/ubuntu/pool/universe/liba/libav/libavutil52_9.18-0ubuntu0.14.04.1_amd64.deb
Resolving mirrors.kernel.org (mirrors.kernel.org)... 198.145.21.9
Connecting to mirrors.kernel.org (mirrors.kernel.org)|198.145.21.9|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://mirrors.edge.kernel.org/ubuntu/pool/universe/liba/libav/libavutil52_9.18-0ubuntu0.14.04.1_amd64.deb [following]
--2019-03-25 09:05:16--  http://mirrors.edge.kernel.org/ubuntu/pool/universe/liba/libav/libavutil52_9.18-0ubuntu0.14.04.1_amd64.deb
Resolving mirrors.edge.kernel.org (mirrors.edge.kernel.org)... 147.75.197.195
Connecting to mirrors.edge.kernel.org (mirrors.edge.kernel.org)|147.75.197.195|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2019-03-25 09:05:16 ERROR 404: Not Found.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.